Name:          openttd
Version:       13.0
Release:       1mamba
Summary:       An Open Source clone of Transport Tycoon Deluxe
Group:         Graphical Desktop/Applications/Games
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.openttd.org
#Source:	       http://ftp.snt.utwente.nl/pub/games/openttd/binaries/releases/%{version}/openttd-%{version}-source.tar.xz
Source:        https://cdn.openttd.org/openttd-releases/%{version}/openttd-%{version}-source.tar.xz
#Source:        http://binahttps://cdn.openttd.org/openttd-releases/1.9.3/openttd-1.9.3-source.tar.xzries.openttd.org/releases/0.7.3/openttd-%{version}-source.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libSDL2-devel
BuildRequires: liballegro4-devel
BuildRequires: libfluidsynth-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libicu-devel
BuildRequires: liblzma-devel
BuildRequires: liblzo-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: liblzo2-devel
BuildRequires: liblzma-devel
Requires:      opengfx
Requires:      opensfx
Requires:      openttd-openmsx

%description
OpenTTD is an open source clone of the Microprose game "Transport Tycoon Deluxe", a popular game originally written by Chris Sawyer. It attempts to mimic the original game as closely as possible while extending it with new features.

#% debug_package

%prep
%setup -q

%build
%cmake -d build \
   -DCMAKE_INSTALL_BINDIR=%{_bindir}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

# create dummy sample.cat (see http://wiki.openttd.org/OpenGFX_Readme#Sample.cat_error)
mkdir %{buildroot}%{_datadir}/games/openttd/data
touch %{buildroot}%{_datadir}/games/openttd/data/sample.cat

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/openttd
%{_datadir}/applications/openttd.desktop
%{_docdir}/openttd/*
%dir %{_datadir}/games/openttd
%{_datadir}/games/openttd/*
%{_datadir}/icons/hicolor/*/apps/openttd.png
%{_datadir}/pixmaps/openttd.*.xpm
%{_mandir}/man6/openttd.6*
%doc COPYING.md

%changelog
* Tue Feb 07 2023 Automatic Build System <autodist@mambasoft.it> 13.0-1mamba
- automatic version update by autodist

* Sun Apr 03 2022 Automatic Build System <autodist@mambasoft.it> 12.2-1mamba
- automatic version update by autodist

* Tue Nov 09 2021 Automatic Build System <autodist@mambasoft.it> 12.1-1mamba
- automatic version update by autodist

* Mon Oct 18 2021 Automatic Build System <autodist@mambasoft.it> 12.0-1mamba
- automatic version update by autodist

* Tue May 04 2021 Automatic Build System <autodist@mambasoft.it> 1.11.2-1mamba
- automatic version update by autodist

* Sat Apr 24 2021 Automatic Build System <autodist@mambasoft.it> 1.11.1-1mamba
- automatic version update by autodist

* Tue Aug 11 2020 Automatic Build System <autodist@mambasoft.it> 1.10.3-1mamba
- automatic version update by autodist

* Wed Jun 10 2020 Automatic Build System <autodist@mambasoft.it> 1.10.2-1mamba
- automatic version update by autodist

* Wed Apr 22 2020 Automatic Build System <autodist@mambasoft.it> 1.10.1-1mamba
- automatic version update by autodist

* Tue Mar 31 2020 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.9.3-1mamba
- update to 1.9.3

* Fri Jan 19 2018 Automatic Build System <autodist@mambasoft.it> 1.7.2-1mamba
- automatic version update by autodist

* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 1.7.1-1mamba
- automatic version update by autodist

* Thu Apr 13 2017 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Wed Aug 03 2016 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Sat Apr 09 2016 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Fri Dec 18 2015 Automatic Build System <autodist@mambasoft.it> 1.5.3-1mamba
- automatic version update by autodist

* Fri Sep 04 2015 Automatic Build System <autodist@mambasoft.it> 1.5.2-1mamba
- automatic version update by autodist

* Fri Jun 05 2015 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- automatic version update by autodist

* Wed May 06 2015 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic update by autodist

* Fri Aug 22 2014 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic version update by autodist

* Thu Jun 05 2014 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Sat Apr 05 2014 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Sun Dec 08 2013 Automatic Build System <autodist@mambasoft.it> 1.3.3-1mamba
- automatic version update by autodist

* Mon Jul 29 2013 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic version update by autodist

* Sat Jun 01 2013 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Mon Apr 15 2013 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Wed Feb 20 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.3-2mamba
- require openttd-openmsx instead of openmsx

* Tue Nov 13 2012 openmamba WebBuild System <webbuild@openmamba.org> 1.2.3-1mamba
- update to 1.2.3

* Sun Jun 03 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.2.1-1mamba
- update to 1.2.1

* Mon Apr 23 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.2.0-1mamba
- update to version 1.2.0

* Thu Nov 26 2009 Silvan Calarco <silvan.calarco@mambasoft.it> source-1mamba
- package created by autospec
